/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	"memory_routine.h"
#include	"utils.h"


void
gcv_url(URL * u)
{
	gc_text((char*)u->proto);
	gc_text((char*)u->server);
	gc_text((char*)u->db);
	gc_text((char*)u->resource);
	gc_text((char*)u->user);
	gc_text((char*)u->passwd);
}
